Package org.apache.sysds.hops.codegen.opt

## Class PlanPartition

- java.lang.Object
- - org.apache.sysds.hops.codegen.opt.PlanPartition

    public class PlanPartition
    extends Object

### Constructor Summary

Constructors
`PlanPartition​(HashSet<Long> P, HashSet<Long> R, HashSet<Long> I, HashSet<Long> Pnpc, ArrayList<Long> M, InterestingPoint[] Mext, boolean hasOuter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HashSet<Long>` `getExtConsumed()`
`HashSet<Long>` `getInputs()`
`ArrayList<Long>` `getMatPoints()`
`InterestingPoint[]` `getMatPointsExt()`
`HashSet<Long>` `getPartition()`
`HashSet<Long>` `getRoots()`
`boolean` `hasOuter()`
`void` `setMatPointsExt​(InterestingPoint[] points)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlanPartition

    public PlanPartition​(HashSet<Long> P,
                         HashSet<Long> R,
                         HashSet<Long> I,
                         HashSet<Long> Pnpc,
                         ArrayList<Long> M,
                         InterestingPoint[] Mext,
                         boolean hasOuter)

### Method Detail

#### getPartition

    public HashSet<Long> getPartition()

#### getRoots

    public HashSet<Long> getRoots()

#### getInputs

    public HashSet<Long> getInputs()

#### getExtConsumed

    public HashSet<Long> getExtConsumed()

#### getMatPoints

    public ArrayList<Long> getMatPoints()

#### getMatPointsExt

    public InterestingPoint[] getMatPointsExt()

#### setMatPointsExt

    public void setMatPointsExt​(InterestingPoint[] points)

#### hasOuter

    public boolean hasOuter()